__gnu_parallel::_Multiplies< _Tp1, _Tp2, _Result >(3)

NAME
__gnu_parallel::_Multiplies< _Tp1, _Tp2, _Result > -

SYNOPSIS

Inherits std::binary_function< _Tp1, _Tp2, _Result >.

  Public Types
typedef _Tp1 first_argument_type
typedef _Result result_type
typedef _Tp2 second_argument_type

  Public Member Functions
_Result operator() (const _Tp1 &__x, const _Tp2 &__y) const

Detailed Description

  template<typename _Tp1, typename _Tp2, typename _Result = __typeof__(*static_cast<_Tp1*>(0) * *static_cast<_Tp2*>(0))>struct __gnu_parallel::_Multiplies< _Tp1, _Tp2, _Result >
Similar to std::multiplies, but allows two different types.

Definition at line 288 of file parallel/base.h.

Member Typedef Documentation

  typedef _Tp1 std::binary_function< _Tp1 , _Tp2 , _Result >::first_argument_type [inherited]

first_argument_type is the type of the first argument

Definition at line 121 of file stl_function.h.

  typedef _Result std::binary_function< _Tp1 , _Tp2 , _Result >::result_type [inherited]

result_type is the return type

Definition at line 127 of file stl_function.h.

  typedef _Tp2 std::binary_function< _Tp1 , _Tp2 , _Result >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Definition at line 124 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.